igeo

## Class IImageMap

- java.lang.Object
- - igeo.IMap
  - - igeo.IDoubleMap
    - - igeo.IImageMap

- Direct Known Subclasses:
    IImageSequenceMap

      public class IImageMap
      extends IDoubleMap

  A subclass of IMap defined by a bitmap image.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int[][]` | `colorMap`
    `java.awt.Image` | `image`

    - ### Fields inherited from class igeo.IDoubleMap

      `height, interpolation, map, width`

    - ### Fields inherited from class igeo.IMap

      `defaultDensityHeight, defaultDensityWidth, defaultExportHeight, defaultExportWidth, densityMinDelta, uIntegration, vIntegration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IImageMap(java.awt.Image img)`
    `IImageMap(java.lang.String imgFile)`
    `IImageMap(java.lang.String imgFile, java.awt.Component mediaComponent)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `clr(double u, double v)`
    `java.awt.Color` | `getColor(double u, double v)`
    `static java.awt.Color` | `getColor(int aRGB)`
    `static double` | `getColorValue(int[] pixel, int x, int y, int w)`
    `IImageMap` | `initDensityMapU()`
    `IImageMap` | `initDensityMapV()`
    `void` | `initMap(java.awt.Image mapImage)`
    `void` | `initMap(java.lang.String imageFile)`
    `void` | `initMap(java.lang.String imageFile, java.awt.Component comp)`

    - ### Methods inherited from class igeo.IDoubleMap

      `add, disableInterpolation, enableInterpolation, flipU, flipV, get, getHeight, getWidth, height, initMap, scale, set, setInterpolation, width`

    - ### Methods inherited from class igeo.IMap

      `createImage, createImage, get, initDensityMapU, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, project, projectU, projectV, saveAsJPEG, saveAsJPEG, saveAsPNG, saveAsPNG, scaleDensityMapU, scaleDensityMapV`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### image

          public java.awt.Image image

    - #### colorMap

          public int[][] colorMap

  - ### Constructor Detail

    - #### IImageMap

          public IImageMap(java.lang.String imgFile)

    - #### IImageMap

          public IImageMap(java.awt.Image img)

    - #### IImageMap

          public IImageMap(java.lang.String imgFile,
                           java.awt.Component mediaComponent)

  - ### Method Detail

    - #### initMap

          public void initMap(java.lang.String imageFile)

    - #### initMap

          public void initMap(java.lang.String imageFile,
                              java.awt.Component comp)

    - #### initMap

          public void initMap(java.awt.Image mapImage)

    - #### getColor

          public static java.awt.Color getColor(int aRGB)

    - #### getColorValue

          public static double getColorValue(int[] pixel,
                                             int x,
                                             int y,
                                             int w)

    - #### initDensityMapU

          public IImageMap initDensityMapU()

      Overrides:
        `initDensityMapU` in class `IMap`

    - #### initDensityMapV

          public IImageMap initDensityMapV()

      Overrides:
        `initDensityMapV` in class `IMap`

    - #### getColor

          public java.awt.Color getColor(double u,
                                         double v)

    - #### clr

          public java.awt.Color clr(double u,
                                    double v)